%{
#include "LexYacc.h"
%}

%token VALUE STRING GROUP NAME

%%
 configuration: groups;

 groups: group | group groups;

 group: groupname | groupname assignments;

 assignments: assignment | assignment assignments;

 assignment: string_assignment | value_assignment | boolean_assignment;

 groupname: '[' NAME ']'

{
    YaccDebug("GROUP");
    LexSetGroupname();
} ;

 string_assignment: NAME '=' STRING ';' 

{ 
    YaccDebug("STRING_ASSIGNMENT");
    LexSetConfig(); 
} ;

 value_assignment: NAME '=' VALUE ';' 

{ 
    YaccDebug("VALUE_ASSIGNMENT");
    LexSetConfig();
} ;

 boolean_assignment: NAME ';' 

{ 
    YaccDebug("BOOLEAN_ASSIGNMENT");
    LexSetConfigString("1"); 
} ;

%%



