/*      file     : common/Parse.C
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: Parse.C,v 1.3 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

/* ***INCLUDES************************************************************************ */

#include <string.h>

#include <Parse.h>

/* ***FUNCTIONS*********************************************************************** */

/*---------------------------------------------------------------------------
  FUNCTION     : GetToken
  ---------------------------------------------------------------------------*/

bool
GetToken(char **Current, char**Token)

{
    char Delimiter=' ';

    while (**Current!=0 && **Current==' ')
        (*Current)++;
    if (**Current)
    {
        if (**Current=='"')
        {
            Delimiter='"';
            (*Current)++;
        }
        *Token=*Current;
        while ((**Current!=Delimiter) && (**Current!='\t') && (**Current!=0))
            (*Current)++;
        if (**Current!=0)
        {
            **Current=0;
            (*Current)++;
        }
        return 1;
    }
    else
        return 0;
}

/*---------------------------------------------------------------------------
  FUNCTION     : GetTokenNr
  ---------------------------------------------------------------------------*/

int
GetTokenNr(char *Token, TTokenArray TokenArray, int MaxTokens)

{
    int i;
    
    for (i=0; i<MaxTokens; i++)
        if (strcmp(Token,TokenArray[i])==0)
            return i;
    return -1;
}

