/*      file     : common/TSelector.t.C
        project  : General Toolbox
        authors  : Marcus Rickert
        RCS      : $Id: TSelector.t.C,v 1.4 2005/03/25 11:05:00 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TSelectorPrimitive
// =================================================================================== 

template < class TContainerEntry, class TData >
TSelector< TContainerEntry, TData >::TSelector(const TContainer *theContainer) :

ParentClass(theContainer)

{
}

// =================================================================================== 

template < class TContainerEntry, class TData >
TSelector< TContainerEntry, TData >::~TSelector(void)

{
}

// =================================================================================== 

template < class TContainerEntry, class TData >
TSelector< TContainerEntry, TData >::operator TData * (void)

{
    return (TData *) ParentClass::GetCurrent();
}

// =================================================================================== 

template < class TContainerEntry, class TData >
TData *
TSelector< TContainerEntry, TData >::operator -> (void)

{
    return (TData *) ParentClass::GetCurrent();
}

// =================================================================================== 

template < class TContainerEntry, class TData >
void
TSelector< TContainerEntry, TData >::Select(TContainerEntry theKey, int theCompareCode)

{
    Key = theKey;
    ParentClass::Select(&Key, theCompareCode);
}

// =================================================================================== 
#undef ParentClass
