/*      file     : common/TStream.i.C
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: TStream.i.C,v 1.3 2005/03/25 11:05:00 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <string.h>

// ***METHODS************************************************************************* 

inline 
TStream::operator FILE * (void)

{
    return File;
}

// =================================================================================== 

inline FILE *
TStream::GetFile(void)

{
    return File;
}

// =================================================================================== 

inline long
TStream::GetLineNr(void) const

{
    return LineNr;
}

// =================================================================================== 

inline void
TStream::SkipWhiteChars(void)

{
    while (InputLine[LinePos] AND 
           (strchr(CurrentDelimiters, InputLine[LinePos]) !=0 OR
            InputLine[LinePos] == TAB_CHAR OR
            InputLine[LinePos] == NEWLINE_CHAR))
        LinePos++;
}

// =================================================================================== 
