/*      file     : parallel/TBusTopology.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TBusTopology.C,v 1.3 2005/03/25 11:06:20 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <stdlib.h>

#include "TParallel.h"
#include "TCPNInfo.h"

#include "TBusTopology.h"

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TTopology
// =================================================================================== 

TBusTopology::TBusTopology(const TDLList<TCPNInfo> *theList) :

TTopology(theList)

{
}

// ===================================================================================

TBusTopology::~TBusTopology(void)

{
}

// ===================================================================================

TString
TBusTopology::GetClassName(void) const

{
    return "TBusTopology";
}

// =================================================================================== 

TTopologyType
TBusTopology::GetType(void) const

{
    return BusTopology;
}

// =================================================================================== 
#undef ParentClass
