/*      file     : parcontrol/ParControlConfig.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: ParControlConfig.h,v 1.8 2005/03/25 11:07:01 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef PARCONTROLCONFIG_H
#define PARCONTROLCONFIG_H

// ***DEFINES************************************************************************* 

#define PAR_CONTROL_GROUP "ParallelControl"

#define PAR_CONTROL_NAME_MAPSTATINTERVAL "MapStatInterval"
#define PAR_CONTROL_NAME_EVENTFILENAME   "EventFilename"
#define PAR_CONTROL_NAME_SYNCPIPENAME    "SyncPipeName"

#define MEVENT_APP_SLAVE_INITIALIZE_DATA   1
#define MEVENT_APP_SLAVE_TRANSFER_COMPLETE 2
#define MEVENT_APP_SLAVE_START_SEQUENCE    3
#define MEVENT_APP_MASTER_ACK_SEQUENCE     4

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
