/*      file     : parstat/TStatHandlerInfo.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TStatHandlerInfo.C,v 1.3 2005/03/25 11:08:01 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include "TStatHandlerInfo.h"

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TBaseObject
// =================================================================================== 

TStatHandlerInfo::TStatHandlerInfo(TClassID theStatObjectClassID, 
                                   TStatHandler *theHandler)

{
    StatObjectClassID = theStatObjectClassID;
    Handler = theHandler;
}

// =================================================================================== 

int
TStatHandlerInfo::Compare(TBaseObject *OtherObject, int) const

{
    TStatHandlerInfo *OtherInfo = (TStatHandlerInfo *) OtherObject;

    return CompareLong(OtherInfo->StatObjectClassID, StatObjectClassID);
}

// =================================================================================== 
#undef ParentClass
