/*      file     : partools/TCommunicationLink.forward.h
        author   : Marcus Rickert
        RCS      : $Id: TCommunicationLink.forward.h,v 1.3 2005/03/25 11:08:14 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TCOMMUNICATIONLINKFORWARD_H
#define TCOMMUNICATIONLINKFORWARD_H

// ***INCLUDES************************************************************************ 

#include <TDLList.h>
#include <TABTree.h>
#include <TIDContainerEntry.h>

// ***FORWARDS************************************************************************

#ifdef NO_TEMPLATE_FORWARDS
#  include "TCommunicationLink.h"
#else

class TCommunicationLink;
typedef TDLList < TCommunicationLink > CommunicationLinkList;
typedef TABTree< TIDContainerEntry< TCommunicationLink > > TCommunicationLinkTable;

#endif

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
