/*      file     : common/THeap.t.C
        project  : General Toolbox
        authors  : Marcus Rickert
        RCS      : $Id: THeap.t.C,v 1.4 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

#define ParentClass THeapPrimitive

// =================================================================================== 

template < class T >
THeap< T >::THeap(int theCompareCode) :
ParentClass(theCompareCode)

{
}

// =================================================================================== 

template < class T >
bool
THeap< T >::Add(T *Object)

{
    return ParentClass::Add(Object);
}

// =================================================================================== 

template < class T >
T *
THeap< T >::GetTop(void)

{
    return (T *) ParentClass::GetTop();
}

// =================================================================================== 

template < class T >
T *
THeap< T >::Get(long Index)

{
    return (T *) Elements.Get(Index);
}

// =================================================================================== 
#undef ParentClass

