/*      file     : common/Time.h
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: Time.h,v 1.3 2005/03/25 11:05:00 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TIME_H
#define TIME_H

// ***INCLUDES************************************************************************ 

#include <sys/time.h>

// ***DEFINES************************************************************************* 

#ifdef USE_EPX_TIME
#  define GetTime(t) EPX_GetTime(t)
#else
#  define GetTime(t) gettimeofday(t, 0)
#endif

// ***PROTOTYPES********************************************************************** 
#ifdef __cplusplus
extern "C" {
#endif
#ifdef USE_EPX_TIME
    void
        EPX_GetTime(struct timeval *);
#endif
#ifdef __cplusplus
}
#endif
// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
