divert(-1)
/*      file     : common/template/DecodeEncode.Header.m4
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: DecodeEncode.Header.m4,v 1.3 2005/03/25 11:05:00 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

define(`LENGTH', ifdef(`LENGTH', LENGTH Count, `Count = 1'))

divert(0)
/* Decode an array of type <em>TYPE</em> from message.
@name TBaseMessage::Decode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride optional incrementor for stride through array, defaults to 1
*/
virtual bool Decode(TYPE &Data, long LENGTH, long Stride = 1);
/* Encode an array of type <em>TYPE</em> into message.
@name TBaseMessage::Encode
@param Data   reference to array
@param Count  optional length of array, defaults to 1
@param Stride Optional incrementor for stride through array, defaults to 1
*/
virtual bool Encode(const TYPE &Data, long LENGTH, long Stride = 1) const;
divert(-1)
// ===================================================================================
// Local Variables:
// mode:c++
// End:
