/*      file     : parallel/TBaseMessage.i.C
        project  : Parallel Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TBaseMessage.i.C,v 1.6 2005/03/25 11:06:20 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline const TDestination *
TBaseMessage::GetDestination(void)

{
    return Destination;
}

// =================================================================================== 

inline TMessageFlags
TBaseMessage::GetFlags(void) const

{
    return Flags;
}

// =================================================================================== 

inline TMessageID
TBaseMessage::GetID(void) const

{
    return ID;
}

// =================================================================================== 

inline TMessageState
TBaseMessage::GetState(void) const

{
    return State;
}

// =================================================================================== 

inline TMessageType
TBaseMessage::GetType(void) const

{
    return Type;
}

// =================================================================================== 

inline TMessageTag
TBaseMessage::GetTag(void) const

{
    return Tag;
}

// =================================================================================== 

inline TCPNID
TBaseMessage::GetSender(void) const

{
    return Sender;
}

// =================================================================================== 

inline bool
TBaseMessage::IsFlushed(void) const

{
    return (Flags & MSG_FLAG_FLUSHED);
}

// =================================================================================== 
