/*      file     : parallel/TGraphTopology.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TGraphTopology.C,v 1.3 2005/03/25 11:06:20 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include <stdlib.h>

#include "TParallel.h"
#include "TCPNInfo.h"

#include "TGraphTopology.h"

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TTopology
// =================================================================================== 

TGraphTopology::TGraphTopology(const TDLList<TCPNInfo> *theList) :

TTopology(theList)

{
}

// ===================================================================================

TGraphTopology::~TGraphTopology(void)

{
}

// ===================================================================================

TString
TGraphTopology::GetClassName(void) const

{
    return "TGraphTopology";
}

// =================================================================================== 

TTopologyType
TGraphTopology::GetType(void) const

{
    return GraphTopology;
}

// =================================================================================== 
#undef ParentClass
