/*      file     : parallel/TTrivialParallelControl.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TTrivialParallelControl.h,v 1.3 2005/03/25 11:06:21 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TTrivialParallelControl_H
#define TTrivialParallelControl_H

// ***INCLUDES************************************************************************ 

#include <TBaseObject.h>
#include <TDLList.h>
#include <TParallelControl.h>

// ***FORWARDS************************************************************************

class TCPNInfo;
class THostInfo;

// ***CLASSES************************************************************************* 

class TTrivialParallelControl : public TParallelControl

{
public:

    virtual TString
        GetClassName(void) const;

private:

    virtual bool
        CheckCPNInfoList(void) const;
    virtual bool
        CheckHostInfoList(void) const;
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
