/*      file     : parstat/ParStatTemplates.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: ParStatTemplates.C,v 1.5 2005/03/25 11:08:01 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

/* ***INCLUDES************************************************************************ */

#define TEMPLATEBODIES

#include <TArray.h>
#include <TABTree.h>
#include <TDLList.h>
#include <TIDContainerEntry.h>
#include <TTimeStepContainerEntry.h>
#include <TEnumerator.h>

#include <TStatObject.h>
#include <TStatHandlerInfo.h>
#include <TAggregationInfo.h>
#include <TAggregationResult.h>
#include <TSamplingDescription.h>

#ifdef __GNUC__

template class TArray< TStatObject * >;
template class TTimeStepContainerEntry< TAggregationResult >;
template class TABTree < TTimeStepContainerEntry< TAggregationResult > >;
template class TABTree< TAggregationInfo >;
template class TABTree< TStatHandlerInfo >;
template class TDLList< TStatObject >;
template class TDLList< TSamplingDescription >;
template class TDLListEnum< TStatObject >;
template class TDLListEnum< TSamplingDescription >;
template class TEnumerator< TAggregationResult >;

#endif

// ===================================================================================


