/*      file     : parstat/TAggregationinfo.forward.h
        author   : Marcus Rickert
        RCS      : $Id: TAggregationInfo.forward.h,v 1.4 2005/03/25 11:08:01 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TAGGREGATIONINFOFORWARD_H
#define TAGGREGATIONINFOFORWARD_H

// ***INCLUDES************************************************************************ 

#include <TABTree.h>
#include <TDLList.h>

// ***FORWARDS************************************************************************

#ifdef NO_TEMPLATE_FORWARDS
#  include "TAggregationInfo.h"
#else

class TAggregationInfo;

typedef TABTree < TAggregationInfo > TAggregationInfoTable;
typedef TDLList< TAggregationInfo > TAggregationInfoList;
typedef TDLListEnum< TAggregationInfo > TAggregationInfoEnum;

#endif

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
