/*      file     : parstat/TStatHandler.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TStatHandler.h,v 1.5 2005/03/25 11:08:01 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TSTATHANDLER_H
#define TSTATHANDLER_H

// ***INCLUDES************************************************************************ 

#include <Basic.h>

// ***FORWARDS************************************************************************

class TAggregationInfo;
class TSamplingDescription;
class TTimeStep;

#include "TStatObject.forward.h"

// ***CLASSES************************************************************************* 

class TStatHandler

{
public:

    virtual bool
    Collect(TSamplingDescription *Description);

    virtual bool
    Sample(TSamplingDescription *Description);

    virtual bool
    HandleAggregationResult(TAggregationInfo *AggregationInfo, TTimeStep &TimeStep);
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
