/*      file     : pvm/Pvm.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: Pvm.h,v 1.4 2005/03/25 11:08:26 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef PVM_H
#define PVM_H

// ***INCLUDES************************************************************************ 

#include <stdio.h>
#include <pvm3.h>

// ***DEFINES************************************************************************* 

#define PVM_ANY_HOST (-1)
#define PVM_ANY_TYPE (-1)

#define PVM_DEFAULT_ROUTING_MODE    (PvmAllowDirect)
#define PVM_NAME_HOSTFILENAME_DEF   PVM_HOST_FILENAME
#define PVM_NAME_ENCODING_DEF       (EncodingRaw)

// ***PROTOTYPES********************************************************************** 
#ifdef __cplusplus
extern "C" {
#endif

int pvm_catchout        __ProtoGlarp__(( FILE * ));

#ifdef __cplusplus
}
#endif
// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
